'Program realizuje efekt swietlny, w ktorym kolejno sa zapalane i gaszone diody LED D1...D5
'Wykorzystywany mikrokontroler ATTINY12 bez pamieci RAM
'Diody D1...D5 doaczone do portu PB mikrokontrolera
'Mikrokontroler jest taktowany wewntrznym oscylatorem RC o czstoliwoci 1 MHz

$regfile = "at12def.dat"                                    'informuje kompilator o pliku dyrektyw wykorzystywanego mikrokontrolera
$crystal = 1000000                                          'informuje kompilator o czestotliwosci oscylatora wewnetrznego taktujacego mikrokontroler
$tiny                                                       'powiadomienie kompilatora ze procesor jest z rodziny attiny
$noramclear                                                 'wylaczenie automatycznego czyszczenia pamieci ram gdyz jej nie ma

Config Pinb.0 = Output                                      'linia PB0 jako wyjsciowa
Config Pinb.1 = Output                                      'linia PB1 jako wyjsciowa
Config Pinb.2 = Output                                      'linia PB2 jako wyjsciowa
Config Pinb.3 = Output                                      'linia PB3 jako wyjsciowa
Config Pinb.4 = Output                                      'linia PB4 jako wyjsciowa

Do                                                          'nieskonczona petla glowna programu
  Portb = 1                                                 'wpisanie do portu PB wartosci 1
  Waitms 250
  Rotate Portb , Left , 1                                   'przesuniecie wartosci wystawionej na port PB o jedna pozycje w lewo
  Waitms 250                                                'opoznienie 250 ms
  Rotate Portb , Left , 1                                   'przesuniecie wartosci wystawionej na port PB o jedna pozycje w lewo
  Waitms 250                                                'opoznienie 250 ms
  Rotate Portb , Left , 1                                   'przesuniecie wartosci wystawionej na port PB o jedna pozycje w lewo
  Waitms 250                                                'opoznienie 250 ms
  Rotate Portb , Left , 1                                   'przesuniecie wartosci wystawionej na port PB o jedna pozycje w lewo
  Waitms 250                                                'opoznienie 250 ms
  Rotate Portb , Left , 1                                   'przesuniecie wartosci wystawionej na port PB o jedna pozycje w lewo
  Waitms 250                                                'opoznienie 250 ms
Loop
End                                                         'koniec programu
