'Program na czas przycisniecia przycisku SW (S12) wlacza migotanie diody LED
'Wykorzystywany mikrokontroler ATTINY12 bez pamieci RAM
'Dioda LED doaczona do linii PB0 mikrokontrolera
'Przycisk SW dolaczony do linii PB5 mikrokontrolera
'Mikrokontroler jest taktowany wewntrznym oscylatorem RC o czstoliwoci 1 MHz

$regfile = "at12def.dat"                                    'informuje kompilator o pliku dyrektyw wykorzystywanego mikrokontrolera
$crystal = 1000000                                          'informuje kompilator o czestotliwosci oscylatora wewnetrznego taktujacego mikrokontroler
$tiny                                                       'powiadomienie kompilatora ze procesor jest z rodziny attiny
$noramclear                                                 'wylaczenie automatycznego czyszczenia pamieci ram gdyz jej nie ma

Config Pinb.5 = Input                                       'linia PB5 jako wejsciowa
Config Pinb.0 = Output                                      'linia PB0 jako wyjsciowa

Led Alias Portb.0                                           'przypisanie aliasu LED do linii PB0

Set Portb.5                                                 'wlaczenie do linii PB5 rezystora podciagajacego

Do                                                          'nieskonczona petla glowna programu
  !sbic pinb,5                                              'jesli przycisk nacisniety (linia PB5=0) to
  !jmp koniec                                               'brak skoku do etykiety Koniec
  Set Led                                                   'wlacznie diody LED
  Waitms 200                                                'opoznienie 200 ms
  Reset Led                                                 'wylaczenie diody LED
  Waitms 200                                                'opoznienie 200 ms
Koniec:
Loop
End                                                         'koniec programu
